
Afian_Item.prototype.buildDOMobject_icon = function () {
o = new Array;
/* creating the table */
o.table = document.createElement('TABLE');
o.table.id = this.id;
o.table.className='icon';
o.table.name = this.id;
o.table.style.display='none';
o.tbody = document.createElement('TBODY');
o.table.appendChild(o.tbody);
/* adding a row */
o.tr1 = o.tbody.insertRow(0);
/* adding a cell*/
o.tr1_td = o.tr1.insertCell(0);
o.tr1_td.className='thumb';
o.tr1.appendChild(o.tr1_td);
o.chkbox = document.createElement('INPUT');
o.chkbox.type='checkbox';
o.chkbox.className='iconCheckbox';
o.tr1_td.appendChild(o.chkbox);

if (is.IE) {
o.img = new Image();
} else {
o.img = document.createElement('IMG');
}

o.tr1_td.appendChild(o.img);
o.img.src=this.icon_img_src;

o.table.title=this.icon_title;

/* MSIE workaround*/
o.img.onabort = imageReloadSrc;



/*window.event.cancelBubble=true;*/
/*AfianHandler.allItems[\''+this.id+'\'].obj.table.fireEvent(\'onmouseup\');*/


/* adding the second row*/
o.tr2 = o.tbody.insertRow(1);
/* adding a cell to the second row */
o.tr2_td = o.tr2.insertCell(0);
o.tr2_td.className='iconTitle';
o.table.onclick = AfianHandler.itemonclick;

if (this.ondblclk) {
o.table.ondblclick = AfianHandler.itemondblclick;
}


o.tr2_td_div = document.createElement('div');
o.tr2_td.appendChild(o.tr2_td_div);
o.tr2_td_div.innerHTML=this.icon_title;
o.tr2_td_div.setAttribute('selectable', '1');
this.obj = o;
}

